%define api_version 1
%define lib_major   114
%define lib_name    %mklibname gsf %{api_version} %{lib_major}
%define gi_name     %mklibname gsf-gir %{api_version}
%define develname   %mklibname -d gsf

%define url_ver     %(echo %{version}|cut -d. -f1,2)

Summary:	GNOME Structured File library
Name:		libgsf
Version:	1.14.31
%define subrel	1
Release:	%mkrel 1
Epoch:		1
Group:		System/Libraries
License:	LGPLv2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		0001-tar-fix-crash-on-broken-tar-file.patch
URL:		http://www.gnumeric.org
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.16
BuildRequires:	pkgconfig(pygobject-2.0) >= 2.10.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.4
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}
Obsoletes: %{_lib}gsf-1_114 < %epoch:%{version}-%{release}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %develname
Summary: Support files necessary to compile applications with libgsf
Group: Development/C
Requires: %{lib_name} = %epoch:%{version}
Provides: %{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides: %{name}-devel = %epoch:%{version}-%{release}
Obsoletes: %mklibname -d gsf- 1 114
Obsoletes: %{_lib}gsf-1-devel < %epoch:%{version}-%{release}

%description -n %develname
Libraries, headers, and support files necessary to compile
applications using libgsf.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libgsf
Group:		System/Libraries
Conflicts:	gir-repository < 0.6.5-12.1
Requires:	%{lib_name} = %epoch:%{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libgsf.

%prep
%setup -q
%patch0 -p1 -b .CVE-2016-9888

%build
%configure2_5x --enable-gtk-doc --disable-static --enable-introspection
%make

%install
%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgsf
rm -f %{buildroot}%{_libdir}/*.la
%find_lang libgsf

%files -f %{name}.lang
%doc README
%_bindir/gsf
%_bindir/gsf-vba-dump
%{_bindir}/gsf-office-thumbnailer
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/*

%files -n %{lib_name}
%doc AUTHORS COPYING README
%{_libdir}/libgsf*-%{api_version}.so.%{lib_major}*

%files -n %develname
%doc %{_datadir}/gtk-doc/html/gsf
%{_datadir}/gir-1.0/Gsf-%{api_version}.gir
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gsf-%{api_version}.typelib


%changelog
* Mon Dec 12 2016 luigiwalser <luigiwalser> 1:1.14.31-1.1.mga5
+ Revision: 1074403
- add patch from fedora to fix CVE-2016-9888

* Thu Feb 05 2015 ovitters <ovitters> 1:1.14.31-1.mga5
+ Revision: 813519
- new version 1.14.31

* Wed Oct 15 2014 umeabot <umeabot> 1:1.14.30-4.mga5
+ Revision: 749308
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1:1.14.30-3.mga5
+ Revision: 731180
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1:1.14.30-2.mga5
+ Revision: 681510
- Mageia 5 Mass Rebuild

* Wed Mar 19 2014 ovitters <ovitters> 1:1.14.30-1.mga5
+ Revision: 605941
- new version 1.14.30

* Tue Feb 04 2014 dams <dams> 1:1.14.29-1.mga5
+ Revision: 580934
- new version 1.14.29

* Sat Oct 19 2013 umeabot <umeabot> 1:1.14.28-2.mga4
+ Revision: 531174
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 ovitters <ovitters> 1:1.14.28-1.mga4
+ Revision: 462500
- new version 1.14.28

* Sun Jun 23 2013 ovitters <ovitters> 1:1.14.27-1.mga4
+ Revision: 446024
- new version 1.14.27

* Sat May 25 2013 ovitters <ovitters> 1:1.14.26-1.mga4
+ Revision: 427383
- new version 1.14.26

* Sat Jan 12 2013 umeabot <umeabot> 1:1.14.25-2.mga3
+ Revision: 357400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 1:1.14.25-1.mga3
+ Revision: 318020
- new version 1.14.25

* Thu Sep 06 2012 fwang <fwang> 1:1.14.24-1.mga3
+ Revision: 288714
- enable introspection
- simplify pkgname

  + ovitters <ovitters>
    - new version 1.14.24

* Fri Apr 20 2012 fwang <fwang> 1:1.14.23-2.mga2
+ Revision: 232013
- fix required version

* Fri Apr 20 2012 ovitters <ovitters> 1:1.14.23-1.mga2
+ Revision: 231971
- update buildrequires
- drop python-libgsf (nothing requires it, deprecated upstream)
- package gobject introspection
- clean spec
- update source url
- new version 1.14.23

* Sat Dec 17 2011 fwang <fwang> 1:1.14.22-1.mga2
+ Revision: 183102
- cleanup br and file list
- new version 1.14.22

* Thu Sep 15 2011 fwang <fwang> 1:1.14.21-2.mga2
+ Revision: 143773
- drop .la files

* Thu Jul 14 2011 fwang <fwang> 1:1.14.21-1.mga2
+ Revision: 124002
- new version 1.14.20

* Sat Apr 16 2011 pterjan <pterjan> 1:1.14.20-1.mga1
+ Revision: 86695
- Update to 1.14.20

* Tue Jan 18 2011 pterjan <pterjan> 1:1.14.19-3.mga1
+ Revision: 21869
- Rebuild for python 2.7

  + mikala <mikala>
    - Drop mdk macros
    - imported package libgsf

